Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoEliteSequentialSelect< EOT > Class Template Reference

All Individuals in order. More...

`#include <eoSequentialSelect.h>`

Inheritance diagram for eoEliteSequentialSelect< EOT >:

List of all members.

## Public Member Functions
| eoEliteSequentialSelect ()
| Ctor: sets the current pter to numeric_limits<unsigned>::max() so init will take place first time not very elegant, maybe ...
void | setup (const eoPop< EOT > &_pop)
| virtual function to setup some population stats (for instance eoProportional can benefit greatly from this)
virtual const EOT & | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
unsigned | current
std::vector< const EOT * > | eoPters

## Detailed Description

### template<class EOT>
class eoEliteSequentialSelect< EOT >

All Individuals in order.

The best individual first, then the others in sequence (random order). for G3 evolution engine, see Deb, Anad and Joshi, CEC 2002

As eoSequentialSelect, it is an eoSelectOne to be used within the eoEaseyEA algo, but conceptually it should be a global eoSelect, as it selects a bunch of guys in one go (done in the setup function now)

Definition at line 97 of file eoSequentialSelect.h.

The documentation for this class was generated from the following file:

- eoSequentialSelect.h